Loading...
Searching...
No Matches
Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::LocalFunctionBase Class Reference

`#include <dune/functions/gridfunctions/discreteglobalbasisfunction.hh>`

Inheritance diagram for Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::LocalFunctionBase:

## Public Types

using | Domain = LocalDomain
using | Element = typename EntitySet::Element

## Public Member Functions

void | bind (const Element &element)
| Bind LocalFunction to grid element.
void | unbind ()
| Unbind the local-function.
bool | bound () const
| Check if LocalFunction is already bound to an element.
const Element & | localContext () const
| Return the element the local-function is bound to.

## Protected Member Functions

| LocalFunctionBase (const std::shared_ptr< const Data > &data)
| LocalFunctionBase (const LocalFunctionBase &other)
| Copy-construct the local-function.
LocalFunctionBase & | operator= (const LocalFunctionBase &other)
| Copy-assignment of the local-function.
template<class To, class From>
void | assignWith (To &to, const From &from) const
template<class Node, class TreePath, class Range>
decltype(auto) | nodeToRangeEntry (const Node &node, const TreePath &treePath, Range &y) const

## Protected Attributes

std::shared_ptr< const Data > | data_
LocalView | localView_
std::vector< Coefficient > | localDoFs_

## Member Typedef Documentation

## Domain

template<typename B, typename V, typename NTRE>

using Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::LocalFunctionBase::Domain = LocalDomain

## Element

template<typename B, typename V, typename NTRE>

using Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::LocalFunctionBase::Element = typename EntitySet::Element

## Constructor & Destructor Documentation

## LocalFunctionBase() [1/2]

template<typename B, typename V, typename NTRE>

Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::LocalFunctionBase::LocalFunctionBase | ( | const std::shared_ptr< const Data > & | data | ) |

inline protected

## LocalFunctionBase() [2/2]

template<typename B, typename V, typename NTRE>

Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::LocalFunctionBase::LocalFunctionBase | ( | const LocalFunctionBase & | other | ) |

inline protected

Copy-construct the local-function.

This copy-constructor copies the cached local DOFs only if the other local-function is bound to an element.

## Member Function Documentation

## assignWith()

template<typename B, typename V, typename NTRE>
template<class To, class From>

void Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::LocalFunctionBase::assignWith | ( | To & | to,
|  | const From & | from ) const

inline protected

## bind()

template<typename B, typename V, typename NTRE>

void Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::LocalFunctionBase::bind | ( | const Element & | element | ) |

inline

Bind LocalFunction to grid element.

You must call this method before operator() and after changes to the coefficient vector.

## bound()

template<typename B, typename V, typename NTRE>

bool Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::LocalFunctionBase::bound | ( |  | ) | const

inline

Check if LocalFunction is already bound to an element.

## localContext()

template<typename B, typename V, typename NTRE>

const Element & Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::LocalFunctionBase::localContext | ( |  | ) | const

inline

Return the element the local-function is bound to.

## nodeToRangeEntry()

template<typename B, typename V, typename NTRE>
template<class Node, class TreePath, class Range>

decltype(auto) Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::LocalFunctionBase::nodeToRangeEntry | ( | const Node & | node,
|  | const TreePath & | treePath,
|  | Range & | y ) const

inline protected

## operator=()

template<typename B, typename V, typename NTRE>

LocalFunctionBase & Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::LocalFunctionBase::operator= | ( | const LocalFunctionBase & | other | ) |

inline protected

Copy-assignment of the local-function.

Assign all members from other to this, except the local DOFs. Those are copied only if the other local-function is bound to an element.

## unbind()

template<typename B, typename V, typename NTRE>

void Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::LocalFunctionBase::unbind | ( |  | ) |

inline

Unbind the local-function.

## Member Data Documentation

## data_

template<typename B, typename V, typename NTRE>

std::shared_ptr<const Data> Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::LocalFunctionBase::data_

protected

## localDoFs_

template<typename B, typename V, typename NTRE>

std::vector<Coefficient> Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::LocalFunctionBase::localDoFs_

protected

## localView_

template<typename B, typename V, typename NTRE>

LocalView Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::LocalFunctionBase::localView_

protected

The documentation for this class was generated from the following file:

- discreteglobalbasisfunction.hh